| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Volume::ChunkParameters Struct Reference
Optional Components » Volume

Parameters for loading the volume. More...

`#include <OgreVolumeChunk.h>`

## Public Member Functions
| ChunkParameters (void)
| Constructor. More...

## Public Attributes
bool | async
| Whether to load the chunks async. if set to false, the call to load waits for the whole chunk. false is the default. More...
Real | baseError
| The smallest allowed geometric error of the highest LOD. More...
bool | createDualGridVisualization
| Whether to create the dualgrid debug visualization entity with false as default. More...
size_t | createGeometryFromLevel
| The first LOD level to create geometry for. For scenarios where the lower levels won't be visible anyway. 0 is the default and switches this off. More...
bool | createOctreeVisualization
| Whether to create the octree debug visualization entity with false as default. More...
Real | errorMultiplicator
| The error multiplicator per LOD level with 1.0 as default. More...
MeshBuilderCallback * | lodCallback
| Callback for a specific LOD level. More...
Real | maxScreenSpaceError
| The maximum accepted screen space error when choosing the LOD levels to render. More...
Real | scale
| The scale of the volume with 1.0 as default. More...
SceneManager * | sceneManager
| The scenemanager to construct the entity with. More...
Real | skirtFactor
| Factor for the skirt length generation. More...
Source * | src
| The volume source. More...
Vector3 | updateFrom
| If an existing chunktree is to be partially updated, set this to the back lower left point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load). 1.5 is the default. More...
Vector3 | updateTo
| If an existing chunktree is to be partially updated, set this to the front upper right point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load). More...

## Detailed Description

Parameters for loading the volume.

## Constructor & Destructor Documentation

## ◆ ChunkParameters()

Ogre::Volume::ChunkParameters::ChunkParameters | ( | void |  | ) |
| inline

Constructor.

## Member Data Documentation

## ◆ sceneManager

SceneManager* Ogre::Volume::ChunkParameters::sceneManager

The scenemanager to construct the entity with.

## ◆ src

Source* Ogre::Volume::ChunkParameters::src

The volume source.

## ◆ baseError

Real Ogre::Volume::ChunkParameters::baseError

The smallest allowed geometric error of the highest LOD.

## ◆ errorMultiplicator

Real Ogre::Volume::ChunkParameters::errorMultiplicator

The error multiplicator per LOD level with 1.0 as default.

## ◆ createOctreeVisualization

bool Ogre::Volume::ChunkParameters::createOctreeVisualization

Whether to create the octree debug visualization entity with false as default.

## ◆ createDualGridVisualization

bool Ogre::Volume::ChunkParameters::createDualGridVisualization

Whether to create the dualgrid debug visualization entity with false as default.

## ◆ skirtFactor

Real Ogre::Volume::ChunkParameters::skirtFactor

Factor for the skirt length generation.

## ◆ lodCallback

MeshBuilderCallback* Ogre::Volume::ChunkParameters::lodCallback

Callback for a specific LOD level.

## ◆ scale

Real Ogre::Volume::ChunkParameters::scale

The scale of the volume with 1.0 as default.

## ◆ maxScreenSpaceError

Real Ogre::Volume::ChunkParameters::maxScreenSpaceError

The maximum accepted screen space error when choosing the LOD levels to render.

## ◆ createGeometryFromLevel

size_t Ogre::Volume::ChunkParameters::createGeometryFromLevel

The first LOD level to create geometry for. For scenarios where the lower levels won't be visible anyway. 0 is the default and switches this off.

## ◆ updateFrom

Vector3 Ogre::Volume::ChunkParameters::updateFrom

If an existing chunktree is to be partially updated, set this to the back lower left point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load). 1.5 is the default.

## ◆ updateTo

Vector3 Ogre::Volume::ChunkParameters::updateTo

If an existing chunktree is to be partially updated, set this to the front upper right point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load).

## ◆ async

bool Ogre::Volume::ChunkParameters::async

Whether to load the chunks async. if set to false, the call to load waits for the whole chunk. false is the default.

The documentation for this struct was generated from the following file:

- OgreVolumeChunk.h